Subject: Re: linux-next: manual merge of the regulator tree with the arm-soc tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Mar 2019 09:27:14 +1100

Hi all,

On Mon, 18 Feb 2019 12:56:27 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the regulator tree got a conflict in:
> 
>   arch/arm/mach-pxa/raumfeld.c
> 
> between commit:
> 
>   0f884f8a090e ("ARM: pxa: remove raumfeld board files and defconfig")
> 
> from the arm-soc tree and commit:
> 
>   01dc79cd6fe7 ("regulator: fixed/gpio: Pull inversion/OD into gpiolib")
> 
> from the regulator tree.
> 
> I fixed it up (the former removed the file, so I did that) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

This is now a conflict between Linus' tree and the arm-soc tree.

-- 
Cheers,
Stephen Rothwell